<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<script type="text/javascript" src="global-params.js"></script>
<%
    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
%>
<fmt:bundle basename="org.wso2.carbon.tryit.ui.i18n.Resources">
<script>

    wso2.wsf.Util.initURLs();
    
    var frontendURL = wso2.wsf.Util.getServerURL() + "/";

    function validateAndSubmitTryit() {
        var inputObj = document.getElementById('tryitFileName');
        if (inputObj.value == "") {
            CARBON.showWarningDialog('<fmt:message key="tryit.error.msg"/>');
            return;
        }

        var resourcePath = getAppContext();

        var proxyAddress = getProxyAddress();

        var bodyXml = '<req:generateTryit xmlns:req="http://org.wso2.wsf/tools">\n' +
                      '<url><![CDATA[' + inputObj.value + ']]></url>\n' +
                      '<hostName><![CDATA[' + HOST + ']]></hostName>\n' +
                      '</req:generateTryit>\n';
        var callURL = wso2.wsf.Util.getBackendServerURL(frontendURL, "<%=backendServerURL%>") + "ExternalTryitService" ;
        wso2.wsf.Util.cursorWait();
        new wso2.wsf.WSRequest(callURL, "urn:generateTryit", bodyXml, wcserviceClientCallback, [2], undefined, proxyAddress);

    }

    function wcserviceClientCallback() {
        var data = this.req.responseXML;
        var returnElementList = data.getElementsByTagName("ns:return");
        // Older browsers might not recognize namespaces (e.g. FF2)
        if (returnElementList.length == 0)
            returnElementList = data.getElementsByTagName("return");
        var responseTextValue = returnElementList[0].firstChild.nodeValue;
        window.open(responseTextValue);
    }

    function getAppContext() {
        var urlSegments = document.location.href.split("/");
        return urlSegments[3];
    }
</script>
<carbon:breadcrumb
		label="tryit.headertext"
		resourceBundle="org.wso2.carbon.tryit.ui.i18n.Resources"
		topPage="true" 
		request="<%=request%>" />
		
    <div id="middle">
        <h2><fmt:message key="tryit.headertext"/></h2>

        <div id="workArea">
            <form id="tryitFormId"
                  method="post"
                  target="globalIFrame">

                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message key="tryit.instructions"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td>
                                        <label><fmt:message key="tryit.enterurl"/></label>
                                    </td>
                                    <td>
                                        <input type="text" id="tryitFileName"
                                               name="tryitFileName"
                                               size="50"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input type="button" id="tryitButtonId" class="button"
                                   value="<fmt:message key="tryit.tryitbtn"/>" onclick="validateAndSubmitTryit()"/>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
        <div style="padding-top:20px">
            <fmt:message key="limitation.message"/>
        </div>
    </div>
    <script type="text/javascript">
        wso2.wsf.XSLTHelper.init();
    </script>
</fmt:bundle>    
